Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::RequestInfo Class Reference

`#include <PortableInterceptorC.h>`

Inheritance diagram for PortableInterceptor::RequestInfo:

[legend]
Collaboration diagram for PortableInterceptor::RequestInfo:

[legend]
List of all members.

## Public Types
typedef RequestInfo_ptr | _ptr_type
typedef RequestInfo_var | _var_type
## Public Methods
virtual CORBA::ULong | request_id (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual char * | operation (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::Dynamic::ParameterList * | arguments (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::Dynamic::ExceptionList * | exceptions (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::Dynamic::ContextList * | contexts (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::Dynamic::RequestContext * | operation_context (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Any * | result (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | response_expected (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual Messaging::SyncScope | sync_scope (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual PortableInterceptor::ReplyStatus | reply_status (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Object_ptr | forward_reference (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Any * | get_slot (PortableInterceptor::SlotId id ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableInterceptor::InvalidSlot )
virtual::IOP::ServiceContext * | get_request_service_context (IOP::ServiceId id ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::IOP::ServiceContext * | get_reply_service_context (IOP::ServiceId id ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
| Allows us to forbid marshaling of local interfaces.
## Static Public Methods
RequestInfo_ptr | _duplicate (RequestInfo_ptr obj)
RequestInfo_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| No-op it is just here to simplify some templates.
RequestInfo_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
RequestInfo_ptr | _nil (void)
| Return a NULL object.
void | _tao_any_destructor (void *)
| Used in the implementation of CORBA::Any.
## Protected Methods
| RequestInfo (void)
virtual | ~RequestInfo (void)
## Private Methods
| RequestInfo (const RequestInfo &)
void | operator= (const RequestInfo &)

## Member Typedef Documentation

typedef RequestInfo_ptr PortableInterceptor::RequestInfo::_ptr_type

| Reimplemented from CORBA::Object. Reimplemented in PortableInterceptor::ClientRequestInfo, and PortableInterceptor::ServerRequestInfo.

typedef RequestInfo_var PortableInterceptor::RequestInfo::_var_type

| Reimplemented from CORBA::Object. Reimplemented in PortableInterceptor::ClientRequestInfo, and PortableInterceptor::ServerRequestInfo.

## Constructor & Destructor Documentation

PortableInterceptor::RequestInfo::RequestInfo | ( | void |  | ) | `[protected]`

PortableInterceptor::RequestInfo::~RequestInfo | ( | void |  | ) | `[protected, virtual]`

PortableInterceptor::RequestInfo::RequestInfo | ( | const RequestInfo & |  | ) | `[private]`

## Member Function Documentation

PortableInterceptor::RequestInfo_ptr PortableInterceptor::RequestInfo::_duplicate | ( | RequestInfo_ptr | obj | ) | `[static]`

const char * PortableInterceptor::RequestInfo::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA::Object. Reimplemented in PortableInterceptor::ClientRequestInfo, and PortableInterceptor::ServerRequestInfo.

virtual CORBA::Boolean PortableInterceptor::RequestInfo::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented in PortableInterceptor::ClientRequestInfo, and PortableInterceptor::ServerRequestInfo.

RequestInfo_ptr PortableInterceptor::RequestInfo::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| No-op it is just here to simplify some templates. Reimplemented from CORBA::Object. Reimplemented in PortableInterceptor::ClientRequestInfo, and PortableInterceptor::ServerRequestInfo.

RequestInfo_ptr PortableInterceptor::RequestInfo::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from CORBA::Object. Reimplemented in PortableInterceptor::ClientRequestInfo, and PortableInterceptor::ServerRequestInfo.

void PortableInterceptor::RequestInfo::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Used in the implementation of CORBA::Any. Reimplemented from CORBA::Object. Reimplemented in PortableInterceptor::ClientRequestInfo, and PortableInterceptor::ServerRequestInfo.

RequestInfo_ptr PortableInterceptor::RequestInfo::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented in PortableInterceptor::ClientRequestInfo, and PortableInterceptor::ServerRequestInfo.

virtual ::Dynamic::ParameterList* PortableInterceptor::RequestInfo::arguments | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

virtual ::Dynamic::ContextList* PortableInterceptor::RequestInfo::contexts | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

virtual ::Dynamic::ExceptionList* PortableInterceptor::RequestInfo::exceptions | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

virtual CORBA::Object_ptr PortableInterceptor::RequestInfo::forward_reference | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

virtual ::IOP::ServiceContext* PortableInterceptor::RequestInfo::get_reply_service_context | ( | IOP::ServiceId id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

virtual ::IOP::ServiceContext* PortableInterceptor::RequestInfo::get_request_service_context | ( | IOP::ServiceId id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

virtual CORBA::Any* PortableInterceptor::RequestInfo::get_slot | ( | PortableInterceptor::SlotId id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableInterceptor::InvalidSlot )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

CORBA::Boolean PortableInterceptor::RequestInfo::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Allows us to forbid marshaling of local interfaces. Reimplemented from CORBA::Object. Reimplemented in PortableInterceptor::ClientRequestInfo, and PortableInterceptor::ServerRequestInfo.

virtual char* PortableInterceptor::RequestInfo::operation | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

virtual ::Dynamic::RequestContext* PortableInterceptor::RequestInfo::operation_context | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

void PortableInterceptor::RequestInfo::operator= | ( | const RequestInfo & |  | ) | `[private]`

virtual PortableInterceptor::ReplyStatus PortableInterceptor::RequestInfo::reply_status | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

virtual CORBA::ULong PortableInterceptor::RequestInfo::request_id | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

virtual CORBA::Boolean PortableInterceptor::RequestInfo::response_expected | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

virtual CORBA::Any* PortableInterceptor::RequestInfo::result | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

virtual Messaging::SyncScope PortableInterceptor::RequestInfo::sync_scope | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

The documentation for this class was generated from the following files:

- PortableInterceptorC.h
- PortableInterceptorC.cpp